Package org.apache.solr.client.solrj.request

# Class CollectionAdminRequest.Restore

java.lang.Object
org.apache.solr.client.solrj.SolrRequest<CollectionAdminResponse>
org.apache.solr.client.solrj.request.CollectionAdminRequest<CollectionAdminResponse>
org.apache.solr.client.solrj.request.CollectionAdminRequest.AsyncCollectionAdminRequest
org.apache.solr.client.solrj.request.CollectionAdminRequest.AsyncCollectionSpecificAdminRequest
org.apache.solr.client.solrj.request.CollectionAdminRequest.Restore

All Implemented Interfaces:
  `Serializable`, `MapSerializable`, `MapWriter`, `NavigableObject`, `org.noggit.JSONWriter.Writable`

Enclosing class:
  `CollectionAdminRequest<T extends CollectionAdminResponse>`

public static class CollectionAdminRequest.Restore extends CollectionAdminRequest.AsyncCollectionSpecificAdminRequest

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

`CollectionAdminRequest.AddReplica, CollectionAdminRequest.AddReplicaProp, CollectionAdminRequest.AddRole, CollectionAdminRequest.AsyncCollectionAdminRequest, CollectionAdminRequest.AsyncCollectionSpecificAdminRequest, CollectionAdminRequest.AsyncShardSpecificAdminRequest, CollectionAdminRequest.Backup, CollectionAdminRequest.BalanceShardUnique, CollectionAdminRequest.ClusterProp, CollectionAdminRequest.ClusterStatus, CollectionAdminRequest.CollectionAdminRoleRequest, CollectionAdminRequest.CollectionProp, CollectionAdminRequest.ColStatus, CollectionAdminRequest.Create, CollectionAdminRequest.CreateAlias, CollectionAdminRequest.CreateCategoryRoutedAlias, CollectionAdminRequest.CreateShard, CollectionAdminRequest.CreateSnapshot, CollectionAdminRequest.CreateTimeRoutedAlias, CollectionAdminRequest.Delete, CollectionAdminRequest.DeleteAlias, CollectionAdminRequest.DeleteBackup, CollectionAdminRequest.DeleteNode, CollectionAdminRequest.DeleteReplica, CollectionAdminRequest.DeleteReplicaProp, CollectionAdminRequest.DeleteShard, CollectionAdminRequest.DeleteSnapshot, CollectionAdminRequest.DeleteStatus, CollectionAdminRequest.DimensionalRoutedAlias, CollectionAdminRequest.ForceLeader, CollectionAdminRequest.InstallShard, CollectionAdminRequest.List, CollectionAdminRequest.ListAliases, CollectionAdminRequest.ListBackup, CollectionAdminRequest.ListSnapshots, CollectionAdminRequest.Migrate, CollectionAdminRequest.MockCollTask, CollectionAdminRequest.Modify, CollectionAdminRequest.MoveReplica, CollectionAdminRequest.OverseerStatus, CollectionAdminRequest.RebalanceLeaders, CollectionAdminRequest.ReindexCollection, CollectionAdminRequest.Reload, CollectionAdminRequest.RemoveRole, CollectionAdminRequest.Rename, CollectionAdminRequest.ReplaceNode, CollectionAdminRequest.RequestApiDistributedProcessing, CollectionAdminRequest.RequestApiDistributedProcessingResponse, CollectionAdminRequest.RequestStatus, CollectionAdminRequest.RequestStatusResponse, CollectionAdminRequest.Restore, CollectionAdminRequest.RoutedAliasAdminRequest, CollectionAdminRequest.SetAliasProperty, CollectionAdminRequest.ShardSpecificAdminRequest, CollectionAdminRequest.SplitShard`

## Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

`SolrRequest.ApiVersion, SolrRequest.METHOD, SolrRequest.SolrClientContext, SolrRequest.SolrRequestType`

## Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Integer`
`backupId`
`protected final String`
`backupName`
`protected String`
`configName`
`protected Optional<String>`
`createNodeSet`
`protected Optional<Boolean>`
`createNodeSetShuffle`
`protected String`
`location`
`protected ReplicaCount`
`numReplicas`
`protected Properties`
`properties`
`protected Integer`
`replicationFactor`
`protected Optional<String>`
`repositoryName`

### Fields inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest.AsyncCollectionSpecificAdminRequest

`collection, followAliases`

### Fields inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest.AsyncCollectionAdminRequest

`asyncId, waitForFinalState`

### Fields inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

`action, MODIFIABLE_COLLECTION_PROPERTIES, PROPERTY_PREFIX`

### Fields inherited from class org.apache.solr.client.solrj.SolrRequest

`SUPPORTED_METHODS`

### Fields inherited from interface org.apache.solr.common.MapWriter

`EMPTY`

## Constructor Summary

Constructors
Constructor
Description
`Restore(String collection, String backupName)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getConfigName()`
`Optional<String>`
`getCreateNodeSet()`
`Optional<Boolean>`
`getCreateNodeSetShuffle()`
`String`
`getLocation()`
`Integer`
`getNrtReplicas()`
`int`
`getNumReplicas(Replica.Type type)`
`SolrParams`
`getParams()`
The parameters for this request; never null.
`Properties`
`getProperties()`
`Integer`
`getPullReplicas()`
`Integer`
`getReplicationFactor()`
`Optional<String>`
`getRepositoryName()`
`Integer`
`getTlogReplicas()`
`CollectionAdminRequest.Restore`
`setBackupId(int backupId)`
Specify the ID of the backup-point to restore from.
`CollectionAdminRequest.Restore`
`setConfigName(String config)`
`void`
`setCreateNodeSet(String createNodeSet)`
`void`
`setCreateNodeSetShuffle(boolean createNodeSetShuffle)`
`CollectionAdminRequest.Restore`
`setLocation(String location)`
`CollectionAdminRequest.Restore`
`setNrtReplicas(Integer nrtReplicas)`
`CollectionAdminRequest.Restore`
`setNumReplicas(Replica.Type type, Integer count)`
`CollectionAdminRequest.Restore`
`setProperties(Properties properties)`
`CollectionAdminRequest.Restore`
`setPullReplicas(Integer pullReplicas)`
`CollectionAdminRequest.Restore`
`setReplicationFactor(Integer replicationFactor)`
`CollectionAdminRequest.Restore`
`setRepositoryName(String repositoryName)`
`CollectionAdminRequest.Restore`
`setTlogReplicas(Integer tlogReplicas)`

### Methods inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest.AsyncCollectionSpecificAdminRequest

`getCollectionName, setFollowAliases`

### Methods inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest.AsyncCollectionAdminRequest

`createResponse, getAsyncId, processAndWait, processAndWait, processAsync, processAsync, setAsyncId, setWaitForFinalState`

### Methods inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

`addProperties, addReplicaByRouteKey, addReplicaProperty, addReplicaToShard, addReplicaToShard, addRole, backupCollection, balanceReplicaProperty, collectionStatus, collectionStatuses, createAlias, createCategoryRoutedAlias, createCollection, createCollection, createCollection, createCollectionWithImplicitRouter, createCollectionWithImplicitRouter, createDimensionalRoutedAlias, createShard, createTimeRoutedAlias, deleteAlias, deleteAllAsyncIds, deleteAsyncId, deleteBackupById, deleteBackupByRecency, deleteBackupPurgeUnusedFiles, deleteCollection, deleteNode, deleteReplica, deleteReplica, deleteReplicaProperty, deleteReplicasFromAllShards, deleteReplicasFromShard, deleteShard, forceLeaderElection, getClusterStatus, getOverseerStatus, installDataToShard, installDataToShard, listBackup, listCollections, migrateData, mockCollTask, modifyCollection, moveReplica, propagateBasicAuthCreds, rebalanceLeaders, reindexCollection, reloadCollection, removeRole, renameCollection, requestStatus, requiresCollection, restoreCollection, setAliasProperty, setClusterProperty, setCollectionProperty, splitShard, toString, waitForAsyncRequest, writeMap`

### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

`addHeader, addHeaders, getApiVersion, getBasicAuthPassword, getBasicAuthUser, getCollection, getContentStreams, getContentWriter, getHeaders, getMethod, getPath, getPreferredNodes, getQueryParams, getRequestType, getResponseParser, getStreamingResponseCallback, getUserPrincipal, process, process, processWithBaseUrl, setBasicAuthCredentials, setMethod, setPath, setPreferredNodes, setQueryParams, setRequestType, setResponseParser, setStreamingResponseCallback, setUserPrincipal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.solr.common.MapWriter

`jsonStr, toMap, write`

### Methods inherited from interface org.apache.solr.common.NavigableObject

`_forEachEntry, _forEachEntry, _forEachEntry, _get, _get, _getStr, _getStr, _size`

## Field Details

### backupName

protected final String backupName

### repositoryName

protected Optional<String> repositoryName

### location

protected String location

### configName

protected String configName

### replicationFactor

protected Integer replicationFactor

### numReplicas

protected ReplicaCount numReplicas

### createNodeSet

protected Optional<String> createNodeSet

### createNodeSetShuffle

protected Optional<Boolean> createNodeSetShuffle

### properties

protected Properties properties

### backupId

protected Integer backupId

## Constructor Details

### Restore

public Restore(String collection, String backupName)

## Method Details

### getLocation

public String getLocation()

### setLocation

public CollectionAdminRequest.Restore setLocation(String location)

### getRepositoryName

public Optional<String> getRepositoryName()

### setRepositoryName

public CollectionAdminRequest.Restore setRepositoryName(String repositoryName)

### setCreateNodeSet

public void setCreateNodeSet(String createNodeSet)

### getCreateNodeSet

public Optional<String> getCreateNodeSet()

### getCreateNodeSetShuffle

public Optional<Boolean> getCreateNodeSetShuffle()

### setCreateNodeSetShuffle

public void setCreateNodeSetShuffle(boolean createNodeSetShuffle)

### setConfigName

public CollectionAdminRequest.Restore setConfigName(String config)

### getConfigName

public String getConfigName()

### getReplicationFactor

public Integer getReplicationFactor()

### setReplicationFactor

public CollectionAdminRequest.Restore setReplicationFactor(Integer replicationFactor)

### getNrtReplicas

public Integer getNrtReplicas()

### setNrtReplicas

public CollectionAdminRequest.Restore setNrtReplicas(Integer nrtReplicas)

### getTlogReplicas

public Integer getTlogReplicas()

### setTlogReplicas

public CollectionAdminRequest.Restore setTlogReplicas(Integer tlogReplicas)

### getPullReplicas

public Integer getPullReplicas()

### setPullReplicas

public CollectionAdminRequest.Restore setPullReplicas(Integer pullReplicas)

### getNumReplicas

public int getNumReplicas(Replica.Type type)

### setNumReplicas

public CollectionAdminRequest.Restore setNumReplicas(Replica.Type type, Integer count)

### getProperties

public Properties getProperties()

### setProperties

public CollectionAdminRequest.Restore setProperties(Properties properties)

### setBackupId

public CollectionAdminRequest.Restore setBackupId(int backupId)
Specify the ID of the backup-point to restore from.

'-1' is used by default to have Solr restore from the most recent backup-point.

Solr can store multiple backup points for a given collection - each identified by a unique backup ID. Users who want to restore a particular backup-point can specify it using this method.

Parameters:
  `backupId` - the ID of the backup-point to restore from

### getParams

public SolrParams getParams()
Description copied from class: `SolrRequest`
The parameters for this request; never null. The runtime type may be mutable but modifications may not affect this `SolrRequest` instance, as it may return a new instance here every time. If the subclass specifies the response type as `ModifiableSolrParams`, then one can expect it to change this request. If the subclass has a setter then one can expect this method to return the value set.

Overrides:
  `getParams` in class `CollectionAdminRequest.AsyncCollectionSpecificAdminRequest`